
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/wait.h>



int main(int argc, char *argv[])
{
    int pid1;
    int pid2;
    int status;
    
    printf("Start des Programms\n");
    
    pid1 = fork();

    if (pid1 < 0)
    {
	perror("fork hat nicht funktioniert");
	exit(1);
    }

    if (pid1 == 0)
    {
	int return_code;

	/* hier laeuft der erste Kind-Prozess... */

	/* ... */

	return_code = 37;

	/* ... */

	exit( return_code );
    }


    pid2 = fork();

    if (pid2 < 0)
    {
	perror("fork hat nicht funktioniert");
	exit(1);
    }

    if (pid2 == 0)
    {
	int return_code;

	/* hier laeuft der zweite Kind-Prozess... */

	/* ... */

	return_code = 65;

	/* ... */

	exit( return_code );
    }




    if (waitpid(pid1, &status, 0) < 0)
    {
	perror("waitpid hat nicht funktioniert");
	exit(1);
    }

    if (WIFEXITED(status))
    {
        printf ("exit status %d\n", WEXITSTATUS(status));
    }
    else
    {
	printf ("Prozess wurde nicht normal beendet\n");
    }



    if (waitpid(pid2, &status, 0) < 0)
    {
	perror("waitpid hat nicht funktioniert");
	exit(1);
    }

    if (WIFEXITED(status))
    {
        printf ("exit status %d\n", WEXITSTATUS(status));
    }
    else
    {
	printf ("Prozess wurde nicht normal beendet\n");
    }


    return 0;
}

